org.python.core

## Class FunctionThread

- java.lang.Object
- - java.lang.Thread
  - - org.python.core.FunctionThread

All Implemented Interfaces:
  Runnable

    public class FunctionThread
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`FunctionThread(PyObject func, PyObject[] args, long stack_size, ThreadGroup group)`

### Method Summary

Methods
`void` `run()`
`String` `toString()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FunctionThread

    public FunctionThread(PyObject func,
                  PyObject[] args,
                  long stack_size,
                  ThreadGroup group)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### toString

    public String toString()

Overrides:
  `toString` in class `Thread`